> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get E-Way Bills by date

> Fetch generated or rejected E-Way Bills by date using the `rejected` filter.

#### Response schema

For successful responses, this reference describes the NIC E-Way Bill payload at `data.data`.

<Card title="View JSON schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/e-way-bill/get_e_way_bills_by_date.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/e-way-bill/consignor/bills
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/e-way-bill/consignor/bills:
    get:
      tags:
        - E-Way Bill1
        - Consignor
      summary: Get E-Way Bills By Date
      operationId: getEWayBillsByDate
      parameters:
        - name: generated_date
          in: query
          description: E-Way bill generated date
          required: true
          schema:
            type: string
            example: 21/02/2025
        - name: rejected
          in: query
          description: Pass true to get rejected E-Way Bills
          required: false
          schema:
            type: string
            example: 'true'
        - name: authorization
          in: header
          description: >-
            E-Way Bill access token. For token-generation steps, refer to the
            [Generate E-Way Bill
            Session](/recipes/gst/authentication/generate_e_way_bill_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      responses:
        '200':
          description: >-
            200 EWBs fetched / 418 No data found / 200 Rejected EWBs fetched /
            200 Cancelled and rejected EWBs fetched / Option not enabled in EWB
            2
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEWayBillsByDateResponse'
              examples:
                200 Cancelled and rejected EWBs fetched:
                  summary: 200 Cancelled and rejected EWBs fetched
                  value:
                    code: 200
                    data:
                      data:
                        - docDate: 15/12/2017
                          docNo: 7001-8
                          ewbDate: 02/05/2024 07:00:00 PM
                          ewbNo: 291010077010
                          genGstin: 29AAACQ3770E000
                          rejectStatus: 'Y'
                          rejectedDate: 02/05/2024 07:43:00 PM
                          status: CNL
                          validUpto: 06/05/2024 11:59:00 PM
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: 6a0c19c2-ae4d-4f70-9c48-50770fb74dfd
                200 EWBs fetched:
                  summary: 200 EWBs fetched
                  value:
                    code: 200
                    data:
                      data:
                        - delPinCode: 470090
                          delPlace: Beml Nagar
                          delStateCode: 27
                          docDate: 15/12/2017
                          docNo: 7001-11
                          ewbDate: 01/05/2024 07:04:00 PM
                          ewbNo: 201010077008
                          extendedTimes: 0
                          genGstin: 29AAACQ3770E000
                          rejectStatus: 'N'
                          status: ACT
                          validUpto: 06/05/2024 11:59:00 PM
                        - delPinCode: 560090
                          delPlace: Beml Nagar
                          delStateCode: 29
                          docDate: 15/12/2017
                          docNo: 7001-10
                          ewbDate: 01/05/2024 07:03:00 PM
                          ewbNo: 231010077007
                          extendedTimes: 0
                          genGstin: 29AAACQ3770E000
                          rejectStatus: 'N'
                          status: ACT
                          validUpto: 06/05/2024 11:59:00 PM
                        - delPinCode: 560090
                          delPlace: Beml Nagar
                          delStateCode: 29
                          docDate: 15/12/2017
                          docNo: 7001-9
                          ewbDate: 01/05/2024 07:01:00 PM
                          ewbNo: 261010077006
                          extendedTimes: 0
                          genGstin: 29AAACQ3770E000
                          rejectStatus: 'N'
                          status: ACT
                          validUpto: 06/05/2024 11:59:00 PM
                        - delPinCode: 470090
                          delPlace: Beml Nagar
                          delStateCode: 27
                          docDate: 15/12/2017
                          docNo: 7001-8
                          ewbDate: 01/05/2024 07:00:00 PM
                          ewbNo: 291010077005
                          extendedTimes: 0
                          genGstin: 29AAACQ3770E000
                          rejectStatus: 'N'
                          status: ACT
                          validUpto: 06/05/2024 11:59:00 PM
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: 8a14ade1-f43c-4a1e-93f8-86d384abdcbe
                200 Rejected EWBs fetched:
                  summary: 200 Rejected EWBs fetched
                  value:
                    code: 200
                    data:
                      data:
                        - docDate: 15/12/2017
                          docNo: 7001-8
                          ewbDate: 01/05/2024 07:00:00 PM
                          ewbNo: 291010077010
                          genGstin: 29AAACQ3770E000
                          rejectStatus: 'Y'
                          rejectedDate: 01/05/2024 07:43:00 PM
                          status: ACT
                          validUpto: 06/05/2024 11:59:00 PM
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: 485d153d-ab05-4212-8bac-6ac8e172a7be
                418 No data found:
                  summary: 418 No data found
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '418'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: b8274301-bdbd-4463-837d-a49a80648ddf
                Option not enabled in EWB 2:
                  summary: Option not enabled in EWB 2
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '117'
                      info: ''
                      status: '0'
                    timestamp: 1740131318000
                    transaction_id: 8ec232a4-9d06-40c9-8406-a940dbcbf84c
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetEWayBillsByDateResponse:
      oneOf:
        - $ref: '#/components/schemas/GetEWayBillsByDateSuccessResponse'
        - $ref: '#/components/schemas/EWayBillBusinessErrorResponse'
      description: >-
        An E-Way Bill success or NIC business-failure response. Both variants
        use HTTP 200.
    GetEWayBillsByDateSuccessResponse:
      allOf:
        - $ref: '#/components/schemas/EWayBillResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              properties:
                data:
                  $ref: '#/components/schemas/GetEWayBillsByDateSuccessPayload'
                error:
                  type: object
                  properties:
                    errorCodes:
                      type: string
                      example: '418'
                info:
                  type: string
                  example: ''
                status:
                  type: string
                  example: '1'
                  enum:
                    - '1'
                  description: NIC success status.
    EWayBillBusinessErrorResponse:
      allOf:
        - $ref: '#/components/schemas/EWayBillResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              required:
                - status
                - error
              properties:
                status:
                  type: string
                  enum:
                    - '0'
                  description: NIC sends "0" when it rejects a request.
                error:
                  $ref: '#/components/schemas/EWayBillBusinessError'
    EWayBillResponseMetadata:
      type: object
      description: Metadata returned with every E-Way Bill response.
      required:
        - code
        - timestamp
        - transaction_id
      properties:
        code:
          type: integer
          enum:
            - 200
          description: NIC response code.
        timestamp:
          type: integer
          format: int64
          description: Unix timestamp.
        transaction_id:
          type: string
          description: Request transaction identifier.
    GetEWayBillsByDateSuccessPayload:
      type: array
      items:
        type: object
        properties:
          delPinCode:
            type: number
            example: 470090
            description: The delPinCode value.
          delPlace:
            type: string
            example: Beml Nagar
            description: The delPlace value.
          delStateCode:
            type: number
            example: 27
            description: The delStateCode value.
          docDate:
            type: string
            example: 15/12/2017
            description: The docDate value.
          docNo:
            type: string
            example: 7001-11
            description: The docNo value.
          ewbDate:
            type: string
            example: 01/05/2024 07:04:00 PM
            description: The ewbDate value.
          ewbNo:
            type: number
            example: 201010077008
            description: The ewbNo value.
          extendedTimes:
            type: number
            example: 0
            description: The extendedTimes value.
          genGstin:
            type: string
            example: 29AAACQ3770E000
            description: The genGstin value.
          rejectStatus:
            type: string
            example: 'N'
            description: The rejectStatus value.
          status:
            type: string
            example: ACT
            description: The status value.
          validUpto:
            type: string
            example: 06/05/2024 11:59:00 PM
            description: The validUpto value.
          rejectedDate:
            type: string
            description: Date on which the recipient rejected the E-Way Bill.
        description: E-Way Bill schema.
      example:
        - delPinCode: 470090
          delPlace: Beml Nagar
          delStateCode: 27
          docDate: 15/12/2017
          docNo: 7001-11
          ewbDate: 01/05/2024 07:04:00 PM
          ewbNo: 201010077008
          extendedTimes: 0
          genGstin: 29AAACQ3770E000
          rejectStatus: 'N'
          status: ACT
          validUpto: 06/05/2024 11:59:00 PM
        - delPinCode: 560090
          delPlace: Beml Nagar
          delStateCode: 29
          docDate: 15/12/2017
          docNo: 7001-10
          ewbDate: 01/05/2024 07:03:00 PM
          ewbNo: 231010077007
          extendedTimes: 0
          genGstin: 29AAACQ3770E000
          rejectStatus: 'N'
          status: ACT
          validUpto: 06/05/2024 11:59:00 PM
        - delPinCode: 560090
          delPlace: Beml Nagar
          delStateCode: 29
          docDate: 15/12/2017
          docNo: 7001-9
          ewbDate: 01/05/2024 07:01:00 PM
          ewbNo: 261010077006
          extendedTimes: 0
          genGstin: 29AAACQ3770E000
          rejectStatus: 'N'
          status: ACT
          validUpto: 06/05/2024 11:59:00 PM
        - delPinCode: 470090
          delPlace: Beml Nagar
          delStateCode: 27
          docDate: 15/12/2017
          docNo: 7001-8
          ewbDate: 01/05/2024 07:00:00 PM
          ewbNo: 291010077005
          extendedTimes: 0
          genGstin: 29AAACQ3770E000
          rejectStatus: 'N'
          status: ACT
          validUpto: 06/05/2024 11:59:00 PM
    EWayBillBusinessError:
      type: object
      description: Error data from NIC.
      required:
        - errorCodes
      properties:
        errorCodes:
          type: string
          description: >-
            NIC error code. See [E-Way Bill error
            codes](/api-reference/gst/annexures/e-way-bill-error-codes).

````